## openjfx 8u20

=== modules/media/src/main/native/jfxmedia/projects/linux/Makefile ===
#
# Linux/ARM jfxmedia makefile
#

BUILD_DIR = $(OUTPUT_DIR)/$(BUILD_TYPE)

SRCBASE_DIR = ../..
OBJBASE_DIR = $(BUILD_DIR)/obj/jfxmedia

DIRLIST = jni                \
          PipelineManagement \
          MediaManagement    \
          Locator 	     \
          Utils 	     \
          Utils/posix 	     \
          platform/gstreamer

TARGET = $(BUILD_DIR)/lib$(BASE_NAME).so

CFLAGS = -DTARGET_OS_LINUX=1     \
         -D_GNU_SOURCE           \
         -DGST_REMOVE_DEPRECATED \
         -DGST_DISABLE_GST_DEBUG \
         -DGST_DISABLE_LOADSAVE  \
         -DGST_DISABLE_XML       \
         -DHAVE_CONFIG_H         \
         -DJFXMEDIA_JNI_EXPORTS  \
         -DLINUX                 \


CPPFLAGS = -fno-rtti

BASE_INCLUDES = -I$(SRCBASE_DIR) \
		-I$(GENERATED_HEADERS_DIR)

ifdef HOST_COMPILE
	GSTREAMER_LITE_DIR = ../../../gstreamer/gstreamer-lite

	CFLAGS += -fPIC \
                  -Werror=implicit-function-declaration \
		  -msse2 \
	          -DGSTREAMER_LITE

	PACKAGES_INCLUDES := $(shell pkg-config --cflags glib-2.0)
	PACKAGES_LIBS := $(shell pkg-config --libs glib-2.0 gobject-2.0 gmodule-2.0 gthread-2.0)

	INCLUDES = $(BASE_INCLUDES) \
		   -I$(JAVA_HOME)/include \
		   -I$(JAVA_HOME)/include/linux \
	           -I$(GSTREAMER_LITE_DIR)/gstreamer \
		   -I$(GSTREAMER_LITE_DIR)/gst-plugins-base/gst-libs \
	           -I$(GSTREAMER_LITE_DIR)/gstreamer/libs \
		  $(PACKAGES_INCLUDES)

	LDFLAGS = -Wl,-rpath,\$$ORIGIN -L$(BUILD_DIR) -lgstreamer-lite $(PACKAGES_LIBS)
else
	CFLAGS += $(EXTRA_CFLAGS)
	INCLUDES = $(BASE_INCLUDES)
	LDFLAGS = -Wl,-rpath,\$$ORIGIN -L$(BUILD_DIR) $(EXTRA_LDFLAGS)
endif

ifeq ($(BUILD_TYPE), Release)
	CFLAGS += -Os
else
	CFLAGS += -g -Wall -D_DEBUG
endif

CPP_SOURCES = \
        jni/com_sun_media_jfxmedia_logging_Logger.cpp           \
        jni/JavaBandsHolder.cpp 				\
        jni/JavaMediaWarningListener.cpp 			\
        jni/JavaPlayerEventDispatcher.cpp 			\
        jni/JniUtils.cpp 					\
        jni/Logger.cpp 						\
        jni/NativeVideoBuffer.cpp 				\
        jni/JavaInputStreamCallbacks.cpp 			\
        PipelineManagement/AudioTrack.cpp 			\
        PipelineManagement/Pipeline.cpp 			\
        PipelineManagement/PipelineFactory.cpp 			\
        PipelineManagement/Track.cpp 				\
        PipelineManagement/VideoFrame.cpp 			\
        PipelineManagement/VideoTrack.cpp 			\
        PipelineManagement/SubtitleTrack.cpp                    \
        MediaManagement/Media.cpp 				\
        MediaManagement/MediaManager.cpp 			\
        Locator/Locator.cpp 					\
        Locator/LocatorStream.cpp 				\
        Utils/MediaWarningDispatcher.cpp 			\
        Utils/posix/posix_critical_section.cpp          \
        platform/gstreamer/GstEqualizerBand.cpp         \
        platform/gstreamer/GstMedia.cpp                 \
        platform/gstreamer/GstMediaPlayer.cpp           \
        platform/gstreamer/GstPlatform.cpp              \
        platform/gstreamer/GstAudioEqualizer.cpp        \
        platform/gstreamer/GstAudioPlaybackPipeline.cpp \
        platform/gstreamer/GstAudioSpectrum.cpp         \
        platform/gstreamer/GstAVPlaybackPipeline.cpp    \
        platform/gstreamer/GstElementContainer.cpp      \
        platform/gstreamer/GstJniUtils.cpp              \
        platform/gstreamer/GstMediaManager.cpp          \
        platform/gstreamer/GstPipelineFactory.cpp       \
        platform/gstreamer/GstVideoFrame.cpp

C_SOURCES = Utils/ColorConverter.c


OBJECTS  = $(patsubst %.cpp,$(OBJBASE_DIR)/%.o,$(CPP_SOURCES)) $(patsubst %.c,$(OBJBASE_DIR)/%.o,$(C_SOURCES)) 
DEPFILES = $(patsubst %.cpp,$(OBJBASE_DIR)/%.d,$(CPP_SOURCES))

OBJ_DIRS = $(addprefix $(OBJBASE_DIR)/,$(DIRLIST))

DEP_DIRS = $(BUILD_DIR) $(OBJ_DIRS)

.PHONY: default list

default: $(TARGET)

$(DEPFILES): | $(DEP_DIRS)

$(DEP_DIRS):
	mkdir -p $(DEP_DIRS)

$(TARGET): $(DEPFILES) $(OBJECTS)
	$(LINK) -shared $(OBJECTS) $(LDFLAGS) -o $@

$(OBJBASE_DIR)/%.o: $(SRCBASE_DIR)/%.cpp
	$(CC) $(CFLAGS) $(CPPFLAGS) $(INCLUDES) -x c++ -c $< -o $@

$(OBJBASE_DIR)/%.o: $(SRCBASE_DIR)/%.c
	$(CC) $(CFLAGS) $(INCLUDES) -x c -c $< -o $@

# Build dependency graph
$(OBJBASE_DIR)/%.d: $(SRCBASE_DIR)/%.cpp
	@set -e; rm -f $@; \
	$(CC) $(CFLAGS) $(CPPFLAGS) $(INCLUDES) -M $< > $@.$$$$; \
	sed 's,\($*\)\.o[ :]*,\1.o $@ : ,g' < $@.$$$$ > $@; \
	rm -f $@.$$$$

-include $(DEPFILES)

=== modules/media/src/main/native/jfxmedia/projects/mac/Makefile ===
#
# MacOs jfxmedia makefile
#

BUILD_DIR = $(OUTPUT_DIR)/$(BUILD_TYPE)
TARGET_DIRS = $(BUILD_DIR)

SRCBASE_DIR = ../..
OBJBASE_DIR = $(BUILD_DIR)/obj/jfxmedia

BASE_DIR = ../../..
GSTREAMER_LITE_DIR = $(BASE_DIR)/gstreamer/gstreamer-lite
GLIB_LITE_DIR = $(BASE_DIR)/gstreamer/3rd_party/glib/glib-2.28.8

DIRLIST = MediaManagement    \
          Locator 	     \
          PipelineManagement \
          jni                \
          Utils 	     \
          Utils/posix 	     \
          platform/gstreamer \
          platform/osx       \
          Projects/utils

TARGET_NAME = lib$(BASE_NAME).dylib
TARGET = $(BUILD_DIR)/$(TARGET_NAME)

CFLAGS = -arch x86_64 \
	 -fPIC                     \
	 -Werror=implicit-function-declaration \
         -DTARGET_OS_MAC=1         \
         -D_GNU_SOURCE             \
         -DGST_REMOVE_DEPRECATED   \
         -DGST_DISABLE_GST_DEBUG   \
         -DGST_DISABLE_LOADSAVE    \
         -DGST_DISABLE_XML         \
         -DHAVE_CONFIG_H           \
         -DJFXMEDIA_JNI_EXPORTS    \
         -DGSTREAMER_LITE          \
         -msse2                    \
         -mmacosx-version-min=10.7

ifeq ($(BUILD_TYPE), release)
    CFLAGS += -Os
else
    CFLAGS += -O0 -g -Wall
endif

BASE_INCLUDES = -I$(JAVA_HOME)/include \
		-I$(JAVA_HOME)/include/darwin \
		-I$(SRCBASE_DIR) \
		-I$(SRCBASE_DIR)/jni \
		-I$(GENERATED_HEADERS_DIR)

INCLUDES = $(BASE_INCLUDES) \
           -I$(GLIB_LITE_DIR)/ \
           -I$(GLIB_LITE_DIR)/glib \
           -I$(GLIB_LITE_DIR)/gmodule \
           -I$(GLIB_LITE_DIR)/build/osx \
	   -I$(GSTREAMER_LITE_DIR)/gstreamer \
           -I$(GSTREAMER_LITE_DIR)/gst-plugins-base/gst-libs \
	   -I$(GSTREAMER_LITE_DIR)/gstreamer/libs

LDFLAGS = -mmacosx-version-min=10.7 -arch x86_64 \
	  -L$(BUILD_DIR) -Wl,-install_name,@rpath/$(TARGET_NAME) \
          -lgstreamer-lite -lglib-lite -lobjc \
          -framework CoreVideo -framework CoreAudio -framework QTKit \
          -framework Cocoa -framework Carbon -framework CoreServices -framework JavaVM

CPP_SOURCES =                                                  \
              MediaManagement/Media.cpp                        \
              MediaManagement/MediaManager.cpp                 \
              Locator/Locator.cpp                              \
              Locator/LocatorStream.cpp                        \
              PipelineManagement/Pipeline.cpp                  \
              PipelineManagement/PipelineFactory.cpp           \
              PipelineManagement/VideoFrame.cpp                \
              PipelineManagement/Track.cpp                     \
              PipelineManagement/AudioTrack.cpp                \
              PipelineManagement/VideoTrack.cpp                \
              PipelineManagement/SubtitleTrack.cpp             \
              jni/JavaPlayerEventDispatcher.cpp                \
              jni/JniUtils.cpp                                 \
              jni/com_sun_media_jfxmedia_logging_Logger.cpp    \
              jni/Logger.cpp                                   \
              jni/JavaMediaWarningListener.cpp                 \
              jni/JavaInputStreamCallbacks.cpp                 \
              jni/JavaBandsHolder.cpp                          \
              jni/NativeVideoBuffer.cpp                        \
              Utils/MediaWarningDispatcher.cpp                 \
              Utils/LowLevelPerf.cpp                           \
              Utils/posix/posix_critical_section.cpp           \
              platform/gstreamer/GstAudioEqualizer.cpp         \
              platform/gstreamer/GstAudioPlaybackPipeline.cpp  \
              platform/gstreamer/GstAudioSpectrum.cpp          \
              platform/gstreamer/GstAVPlaybackPipeline.cpp     \
              platform/gstreamer/GstElementContainer.cpp       \
              platform/gstreamer/GstJniUtils.cpp               \
              platform/gstreamer/GstMediaManager.cpp           \
              platform/gstreamer/GstPipelineFactory.cpp        \
              platform/gstreamer/GstVideoFrame.cpp             \
              platform/gstreamer/GstPlatform.cpp               \
              platform/gstreamer/GstEqualizerBand.cpp          \
              platform/gstreamer/GstMedia.cpp                  \
              platform/gstreamer/GstMediaPlayer.cpp            \

C_SOURCES =   Utils/ColorConverter.c

OBJCMM_SOURCES =                                               \
              platform/osx/OSXPlatform.mm                      \
              platform/osx/OSXMediaPlayer.mm                   \
              platform/osx/QTKMediaPlayer.mm                   \
              platform/osx/CVVideoFrame.mm

OBJCM_SOURCES =                                                \
              Utils/JObjectPeers.m                             \
              Utils/JavaUtils.m                                \
              Utils/MTObjectProxy.m

OBJ_DIRS = $(addprefix $(OBJBASE_DIR)/,$(DIRLIST))
OBJECTS  = $(patsubst %.cpp,$(OBJBASE_DIR)/%.o,$(CPP_SOURCES)) \
           $(patsubst %.c,$(OBJBASE_DIR)/%.o,$(C_SOURCES)) \
           $(patsubst %.mm,$(OBJBASE_DIR)/%.o,$(OBJCMM_SOURCES)) \
           $(patsubst %.m,$(OBJBASE_DIR)/%.o,$(OBJCM_SOURCES))

.PHONY: default

default: $(TARGET)

$(OBJBASE_DIR)/%.o: $(SRCBASE_DIR)/%.cpp
	$(CC) $(CFLAGS) $(INCLUDES) -x c++ -c $< -o $@

$(OBJBASE_DIR)/%.o: $(SRCBASE_DIR)/%.c
	$(CC) $(CFLAGS) $(INCLUDES) -x c -c $< -o $@

$(OBJBASE_DIR)/%.o: $(SRCBASE_DIR)/%.mm
	$(CC) $(CFLAGS) $(INCLUDES) -x objective-c++ -c $< -o $@

$(OBJBASE_DIR)/%.o: $(SRCBASE_DIR)/%.m
	$(CC) $(CFLAGS) $(INCLUDES) -x objective-c -c $< -o $@

$(OBJECTS): | $(OBJ_DIRS) $(TARGET_DIRS)

$(OBJ_DIRS):
	mkdir -p $(OBJ_DIRS)

$(TARGET_DIRS):
	mkdir -p $(TARGET_DIRS)

$(TARGET): $(OBJECTS)
	$(LINK) -dynamiclib $(OBJECTS) $(LDFLAGS) -o $@

=== modules/media/src/main/native/jfxmedia/projects/win/Makefile ===
# jfxmedia-jni win32/win64 makefile

CC = cl.exe
CPP = cl.exe
LINK = link.exe
MAKEDEPEND = makedepend.exe

BUILD_DIR = $(shell cygpath -u "$(OUTPUT_DIR)/$(BUILD_TYPE)")

SRCBASE_DIR = ../..
OBJBASE_DIR = $(BUILD_DIR)/obj/jfxmedia-jni

GSTREAMER_LITE_DIR = ../../../gstreamer/gstreamer-lite
GLIB_LITE_DIR = ../../../gstreamer/3rd_party/glib/glib-2.28.8

DIRLIST = jni \
          PipelineManagement \
          MediaManagement \
          Locator \
          Utils \
          Utils/win32 \
          platform/gstreamer

TARGET = $(BUILD_DIR)/$(BASE_NAME).dll

CL_COMPILER_FLAGS = -nologo -W3 -WX- -Gm- -EHsc -GS -fp:precise \
                    -Zc:wchar_t- -Zc:forScope -Gd -errorReport:queue

JNI_INCLUDES =  -I"$(JAVA_HOME)/include" \
                -I"$(JAVA_HOME)/include/win32"

BASE_INCLUDES = -I$(SRCBASE_DIR) \
                -I$(SRCBASE_DIR)/jni

INCLUDES = $(BASE_INCLUDES) \
           $(JNI_INCLUDES) \
           -I$(shell cygpath -ma "$(GENERATED_HEADERS_DIR)") \
           -I$(GLIB_LITE_DIR)/ \
           -I$(GLIB_LITE_DIR)/glib \
           -I$(GLIB_LITE_DIR)/gmodule \
           -I$(GLIB_LITE_DIR)/build/win32/vs100 \
           -I$(GSTREAMER_LITE_DIR)/gstreamer \
           -I$(GSTREAMER_LITE_DIR)/gst-plugins-base/gst-libs \
           -I$(GSTREAMER_LITE_DIR)/gst-plugins-base/win32/common \
           -I$(GSTREAMER_LITE_DIR)/gstreamer/libs

CFLAGS = -DWIN32 \
         -D_WINDOWS \
         -D_USRDLL \
         -DJFXMEDIA_JNI_EXPORTS \
         -DTARGET_OS_WIN32=1 \
         -D_WIN32_WINNT=0x0500 \
         -D_STATIC_CPPLIB \
         -D_DISABLE_DEPRECATE_STATIC_CPPLIB \
         -DGST_DISABLE_LOADSAVE \
         -DGSTREAMER_LITE \
         -D_WINDLL \
         -D_MBCS \
	 $(INCLUDES) \
         $(CL_COMPILER_FLAGS)

LIBS = gstreamer-lite.lib \
       glib-lite.lib \
       Winmm.lib \
       kernel32.lib \
       user32.lib \
       comdlg32.lib \
       advapi32.lib

MANIFEST = $(shell cygpath -ma "$(BUILD_DIR)/$(BASE_NAME).manifest")
PDB      = $(shell cygpath -ma "$(BUILD_DIR)/$(BASE_NAME).pdb")

LDFLAGS = -dll -out:$(shell cygpath -ma $(TARGET)) -incremental:no -nologo -libpath:$(shell cygpath -ma $(BUILD_DIR)) $(LIBS) \
          -manifest -manifestfile:$(MANIFEST) -manifestuac:"level='asInvoker' uiAccess='false'" \
          -subsystem:windows -dynamicbase -errorreport:queue

ifeq ($(BUILD_TYPE), Release)
    CFLAGS += -DNDEBUG -O2 -MD
    LDFLAGS += -opt:ref -opt:icf
else
    CFLAGS += -D_DEBUG -Od -RTC1 -MDd -Zi -Fd$(PDB)
    LDFLAGS += -debug -pdb:$(PDB)
endif

ifeq ($(ARCH), x32)
    CFLAGS += -Oy-
    LDFLAGS += -MACHINE:x86
else
    CFLAGS += -D_WIN64
    LDFLAGS += -MACHINE:x64
endif

CPP_SOURCES = \
        jni/com_sun_media_jfxmedia_logging_Logger.cpp   \
        jni/JavaBandsHolder.cpp \
        jni/JavaMediaWarningListener.cpp \
        jni/JavaPlayerEventDispatcher.cpp \
        jni/JniUtils.cpp \
        jni/Logger.cpp \
        jni/NativeVideoBuffer.cpp \
        jni/JavaInputStreamCallbacks.cpp \
        PipelineManagement/AudioTrack.cpp \
        PipelineManagement/Pipeline.cpp \
        PipelineManagement/PipelineFactory.cpp \
        PipelineManagement/Track.cpp \
        PipelineManagement/VideoFrame.cpp \
        PipelineManagement/VideoTrack.cpp \
        PipelineManagement/SubtitleTrack.cpp \
        MediaManagement/Media.cpp \
        MediaManagement/MediaManager.cpp \
        Locator/Locator.cpp \
        Locator/LocatorStream.cpp \
        platform/gstreamer/GstEqualizerBand.cpp \
        platform/gstreamer/GstMedia.cpp \
        platform/gstreamer/GstMediaPlayer.cpp \
        platform/gstreamer/GstPlatform.cpp \
        platform/gstreamer/GstAudioEqualizer.cpp \
        platform/gstreamer/GstAudioPlaybackPipeline.cpp \
        platform/gstreamer/GstAudioSpectrum.cpp \
        platform/gstreamer/GstAVPlaybackPipeline.cpp \
        platform/gstreamer/GstElementContainer.cpp \
        platform/gstreamer/GstJniUtils.cpp \
        platform/gstreamer/GstMediaManager.cpp \
        platform/gstreamer/GstPipelineFactory.cpp \
        platform/gstreamer/GstVideoFrame.cpp \
        Utils/MediaWarningDispatcher.cpp \
        Utils/LowLevelPerf.cpp \
        Utils/win32/WinCriticalSection.cpp  \
        Utils/win32/WinDllMain.cpp \
        Utils/win32/WinThread.cpp

C_SOURCES = Utils/ColorConverter.c

OBJ_DIRS = $(addprefix $(OBJBASE_DIR)/,$(DIRLIST))

DEP_DIRS = $(BUILD_DIR) $(OBJ_DIRS)

DEPTOKEN = "\# makedepend"
DEPFILE = $(OBJBASE_DIR)/Depend.mak

OBJECTS = $(patsubst %.cpp,$(OBJBASE_DIR)/%.obj,$(CPP_SOURCES)) $(patsubst %.c,$(OBJBASE_DIR)/%.obj,$(C_SOURCES))

.PHONY: clean default list

default: $(TARGET)

$(TARGET): $(DEPFILE) $(OBJECTS) 
	$(LINK) $(LDFLAGS) $(shell cygpath -ma "$(RESOURCE)") $(foreach object,$(OBJECTS),$(shell cygpath -ma $(object)))

$(DEPFILE): | $(DEP_DIRS)
	@echo $(DEPTOKEN) > $(DEPFILE)
	makedepend -DTARGET_OS_WIN32=1 $(BASE_INCLUDES) $(shell cygpath -u "$(GENERATED_HEADERS_DIR)") -Y -o.obj -f$(DEPFILE) -s$(DEPTOKEN) $(addprefix $(SRCBASE_DIR)/,$(CPP_SOURCES)) >& /dev/null

$(DEP_DIRS):
	mkdir -p $(DEP_DIRS)

-include $(DEPFILE)

$(OBJBASE_DIR)/%.obj: $(SRCBASE_DIR)/%.cpp
	$(CPP) $(CFLAGS) -TP -c -Fo$(shell cygpath -ma $@) $<

$(OBJBASE_DIR)/%.obj: $(SRCBASE_DIR)/%.c
	$(CC) $(CFLAGS) -TC -c -Fo$(shell cygpath -ma $@) $<

=== modules/media/src/main/native/gstreamer/projects/linux/avplugin/Makefile ===
#
# Makefile for Linux only avplugin
#

BUILD_DIR = $(OUTPUT_DIR)/$(BUILD_TYPE)
TARGET_DIRS = $(BUILD_DIR)

SRCBASE_DIR = ../../../plugins
OBJBASE_DIR = $(BUILD_DIR)/obj/plugins/avplugin

DIRLIST = av

TARGET = $(BUILD_DIR)/lib$(BASE_NAME).so

CFLAGS = -fPIC                   \
         -Werror=implicit-function-declaration \
         -msse2                  \
         -fbuiltin               \
         -DHAVE_STDINT_H         \
         -DLINUX                 \
         -DGST_DISABLE_LOADSAVE  \
         -DGSTREAMER_LITE

ifeq ($(BUILD_TYPE), Release)
    CFLAGS += -Os
else
    CFLAGS += -g -Wall
endif

PACKAGES_INCLUDES := $(shell pkg-config --cflags glib-2.0)
PACKAGES_LIBS     := $(shell pkg-config --libs glib-2.0 gobject-2.0)

INCLUDES= -I../../../plugins                          \
          -I../../../plugins/av                       \
          -I../../../gstreamer-lite/gstreamer         \
          -I../../../gstreamer-lite/gstreamer/libs    \
          $(PACKAGES_INCLUDES)

LDFLAGS = -L$(BUILD_DIR)    \
          -lgstreamer-lite  \
           $(PACKAGES_LIBS)

ifneq ($(strip $(LIBAV_DIR)),)
INCLUDES += -I$(LIBAV_DIR)/include
LDFLAGS  += -L$(LIBAV_DIR)/lib/ -lavcodec -lavformat
else
INCLUDES += $(shell pkg-config --cflags libavcodec libavformat)
LDFLAGS  += $(shell pkg-config --libs libavcodec libavformat)
endif

SOURCES = av/fxavcodecplugin.c  \
          av/avelement.c        \
          av/decoder.c          \
          av/audiodecoder.c     \
          av/videodecoder.c     \
          av/mpegtsdemuxer.c

OBJ_DIRS = $(addprefix $(OBJBASE_DIR)/,$(DIRLIST))
OBJECTS = $(patsubst %.c,$(OBJBASE_DIR)/%.o,$(SOURCES))

.PHONY: default

default: $(TARGET)

$(OBJBASE_DIR)/%.o: $(SRCBASE_DIR)/%.c
	$(CC) $(CFLAGS) $(INCLUDES) -c $< -o $@

$(OBJECTS): | $(OBJ_DIRS) $(TARGET_DIRS)

$(OBJ_DIRS):
	mkdir -p $(OBJ_DIRS)

$(TARGET_DIRS):
	mkdir -p $(TARGET_DIRS)

$(TARGET): $(OBJECTS)
	$(CC) -shared $(OBJECTS) $(LDFLAGS) -o $@

=== modules/media/src/main/native/gstreamer/projects/linux/fxplugins/Makefile ===
#
# Linux Makefile for fxplugins
#

BUILD_DIR = $(OUTPUT_DIR)/$(BUILD_TYPE)
TARGET_DIRS = $(BUILD_DIR)

SRCBASE_DIR = ../../../plugins
OBJBASE_DIR = $(BUILD_DIR)/obj/fxplugins

DIRLIST = progressbuffer       \
          progressbuffer/posix \
          javasource

TARGET = $(BUILD_DIR)/lib$(BASE_NAME).so

CFLAGS = -fPIC                   \
         -Werror=implicit-function-declaration \
         -msse2                  \
         -fbuiltin               \
         -DHAVE_STDINT_H         \
         -DLINUX                 \
         -DENABLE_PULL_MODE      \
         -DENABLE_SOURCE_SEEKING \
         -D__MEDIALIB_OLD_NAMES  \
         -DGST_DISABLE_LOADSAVE  \
         -DGST_DISABLE_GST_DEBUG \
         -DGSTREAMER_LITE

ifeq ($(BUILD_TYPE), Release)
    CFLAGS += -Os
else
    CFLAGS += -g -Wall
endif


INCLUDES = -I$(SRCBASE_DIR) \
	   $(addprefix -I$(SRCBASE_DIR)/,$(DIRLIST)) \
           -I../../../gstreamer-lite/gstreamer       \
           -I../../../gstreamer-lite/gstreamer/libs

PACKAGES_INCLUDES := $(shell pkg-config --cflags glib-2.0)
PACKAGES_LIBS := $(shell pkg-config --libs glib-2.0 gobject-2.0)

LDFLAGS = -L$(BUILD_DIR) -lgstreamer-lite $(PACKAGES_LIBS) 

SOURCES = fxplugins.c                        \
          progressbuffer/progressbuffer.c    \
          progressbuffer/hlsprogressbuffer.c \
          progressbuffer/posix/filecache.c   \
          javasource/javasource.c            \
          javasource/marshal.c

ifneq ($(strip $(ON2_SRCDIR)),)
DIRLIST += vp6

INCLUDES += -I$(ON2_SRCDIR)/include \
            -I$(ON2_SRCDIR)/src \
            -I$(ON2_SRCDIR)/config/linux

SOURCES += vp6/flvdemux.c    \
           vp6/flvmetadata.c \
           vp6/flvparser.c   \
           vp6/vp6decoder.c

CFLAGS += -DENABLE_ON2_DECODER
endif

OBJ_DIRS = $(addprefix $(OBJBASE_DIR)/,$(DIRLIST))
OBJECTS = $(patsubst %.c,$(OBJBASE_DIR)/%.o,$(SOURCES))

.PHONY: default list

default: $(TARGET)

$(OBJBASE_DIR)/%.o: $(SRCBASE_DIR)/%.c
	$(CC) $(CFLAGS) $(INCLUDES) $(PACKAGES_INCLUDES) -c $< -o $@

$(OBJECTS): | $(OBJ_DIRS) $(TARGET_DIRS)

$(OBJ_DIRS):
	mkdir -p $(OBJ_DIRS)

$(TARGET_DIRS):
	mkdir -p $(TARGET_DIRS)

$(TARGET): $(OBJECTS)
	$(CC) -shared $(OBJECTS) $(ON2_LIB) $(ON2_LIB) $(LDFLAGS) -o $@

=== modules/media/src/main/native/gstreamer/projects/linux/gstreamer-lite/Makefile ===
#
# Makefile for libgstreamer-lite
#

BUILD_DIR = $(OUTPUT_DIR)/$(BUILD_TYPE)
TARGET_DIRS = $(BUILD_DIR)

BASE_DIR = ../../..
SRCBASE_DIR = $(BASE_DIR)/gstreamer-lite
OBJBASE_DIR = $(BUILD_DIR)/obj/gstreamer-lite

DIRLIST = gstreamer/gst \
          gstreamer/libs/gst/base \
          gstreamer/libs/gst/controller \
          gst-plugins-base/gst-libs/gst/audio \
          gst-plugins-base/gst-libs/gst/interfaces \
          gst-plugins-base/gst-libs/gst/video \
          gst-plugins-base/gst-libs/gst/tag \
          gst-plugins-base/gst-libs/gst/riff \
          gst-plugins-base/gst-libs/gst/app \
	  projects/plugins \
          gstreamer/plugins/elements \
          gst-plugins-base/gst-libs/gst/fft \
          gst-plugins-base/gst-libs/gst/pbutils \
          gst-plugins-base/gst/typefind \
          gst-plugins-base/gst/audioconvert \
          gst-plugins-base/gst/volume \
          gst-plugins-good/gst/audioparsers \
          gst-plugins-good/gst/isomp4 \
          gst-plugins-base/ext/alsa \
          gst-plugins-good/gst/audiofx \
          gst-plugins-good/gst/equalizer \
          gst-plugins-good/gst/spectrum \
          gst-plugins-good/gst/wavparse \
          gst-plugins-bad/gst/aiff \
          gst-plugins-base/gst/app

TARGET = $(BUILD_DIR)/lib$(BASE_NAME).so

CFLAGS =-fPIC                   \
	-Werror=implicit-function-declaration \
        -D_GNU_SOURCE           \
        -DGST_REMOVE_DEPRECATED \
        -DGSTREAMER_LITE        \
        -DHAVE_CONFIG_H         \
        -DOUTSIDE_SPEEX         \
        -DLINUX                 \
        -DGST_DISABLE_GST_DEBUG \
        -DGST_DISABLE_LOADSAVE

ifeq ($(BUILD_TYPE), Release)
    CFLAGS += -Os
else
    CFLAGS += -g -Wall
endif

INCLUDES = -I$(BASE_DIR)/plugins                          \
	   -I$(SRCBASE_DIR)/projects/build/linux/common   \
           -I$(SRCBASE_DIR)/gstreamer                     \
           -I$(SRCBASE_DIR)/gstreamer/libs                \
           -I$(SRCBASE_DIR)/gstreamer/gst/parse           \
           -I$(SRCBASE_DIR)/gst-plugins-base              \
           -I$(SRCBASE_DIR)/gst-plugins-base/gst-libs     \
           -I$(SRCBASE_DIR)/projects/plugins              \
           -I$(SRCBASE_DIR)/gst-plugins-base/gst-libs     \
           -I$(SRCBASE_DIR)/gst-plugins-good/gst-libs     \
           -I$(SRCBASE_DIR)/gst-plugins-good/gst/isomp4   \
           -I$(SRCBASE_DIR)/gst-plugins-bad/gst-libs

PACKAGES_INCLUDES := $(shell pkg-config --cflags alsa glib-2.0)
PACKAGES_LIBS := $(shell pkg-config --libs alsa glib-2.0 gobject-2.0 gmodule-2.0 gthread-2.0)

LDFLAGS = -L$(BUILD_DIR) -lm $(PACKAGES_LIBS) 

SOURCES = \
     gstreamer/gst/gst.c                                             \
     gstreamer/gst/gstbin.c                                          \
     gstreamer/gst/gstbuffer.c                                       \
     gstreamer/gst/gstbufferlist.c                                   \
     gstreamer/gst/gstbus.c                                          \
     gstreamer/gst/gstcaps.c                                         \
     gstreamer/gst/gstchildproxy.c                                   \
     gstreamer/gst/gstclock.c                                        \
     gstreamer/gst/gstdebugutils.c                                   \
     gstreamer/gst/gstdatetime.c                                     \
     gstreamer/gst/gstelement.c                                      \
     gstreamer/gst/gstelementfactory.c                               \
     gstreamer/gst/gstenumtypes.c                                    \
     gstreamer/gst/gsterror.c                                        \
     gstreamer/gst/gstevent.c                                        \
     gstreamer/gst/gstfilter.c                                       \
     gstreamer/gst/gstformat.c                                       \
     gstreamer/gst/gstghostpad.c                                     \
     gstreamer/gst/gstindex.c                                        \
     gstreamer/gst/gstindexfactory.c                                 \
     gstreamer/gst/gstinfo.c                                         \
     gstreamer/gst/gstinterface.c                                    \
     gstreamer/gst/gstiterator.c                                     \
     gstreamer/gst/gstmarshal.c                                      \
     gstreamer/gst/gstmessage.c                                      \
     gstreamer/gst/gstminiobject.c                                   \
     gstreamer/gst/gstobject.c                                       \
     gstreamer/gst/gstpad.c                                          \
     gstreamer/gst/gstpadtemplate.c                                  \
     gstreamer/gst/gstparamspecs.c                                   \
     gstreamer/gst/gstparse.c                                        \
     gstreamer/gst/gstpipeline.c                                     \
     gstreamer/gst/gstplugin.c                                       \
     gstreamer/gst/gstpluginfeature.c                                \
     gstreamer/gst/gstpluginloader.c                                 \
     gstreamer/gst/gstpoll.c                                         \
     gstreamer/gst/gstpreset.c                                       \
     gstreamer/gst/gstquark.c                                        \
     gstreamer/gst/gstquery.c                                        \
     gstreamer/gst/gstregistry.c                                     \
     gstreamer/gst/gstregistrychunks.c                               \
     gstreamer/gst/gstregistrybinary.c                               \
     gstreamer/gst/gstsegment.c                                      \
     gstreamer/gst/gststructure.c                                    \
     gstreamer/gst/gstsystemclock.c                                  \
     gstreamer/gst/gsttaglist.c                                      \
     gstreamer/gst/gsttagsetter.c                                    \
     gstreamer/gst/gsttask.c                                         \
     gstreamer/gst/gsttaskpool.c                                     \
     gstreamer/gst/gsttrace.c                                        \
     gstreamer/gst/gsttypefind.c                                     \
     gstreamer/gst/gsttypefindfactory.c                              \
     gstreamer/gst/gsturi.c                                          \
     gstreamer/gst/gstutils.c                                        \
     gstreamer/gst/gstvalue.c                                        \
     gstreamer/libs/gst/base/gstadapter.c                            \
     gstreamer/libs/gst/base/gstbaseparse.c                          \
     gstreamer/libs/gst/base/gstbasesink.c                           \
     gstreamer/libs/gst/base/gstbasesrc.c                            \
     gstreamer/libs/gst/base/gstbasetransform.c                      \
     gstreamer/libs/gst/base/gstbytereader.c                         \
     gstreamer/libs/gst/base/gstbytewriter.c                         \
     gstreamer/libs/gst/base/gstcollectpads.c                        \
     gstreamer/libs/gst/base/gstpushsrc.c                            \
     gstreamer/libs/gst/base/gsttypefindhelper.c                     \
     gstreamer/libs/gst/controller/gstcontroller.c                   \
     gstreamer/libs/gst/controller/gstcontrolsource.c                \
     gstreamer/libs/gst/controller/gsthelper.c                       \
     gstreamer/libs/gst/controller/gstinterpolation.c                \
     gstreamer/libs/gst/controller/gstinterpolationcontrolsource.c   \
     gstreamer/libs/gst/controller/gstlfocontrolsource.c             \
     gstreamer/libs/gst/controller/lib.c                             \
     gst-plugins-base/gst-libs/gst/audio/audio-enumtypes.c           \
     gst-plugins-base/gst-libs/gst/audio/audio.c                     \
     gst-plugins-base/gst-libs/gst/audio/gstaudioclock.c             \
     gst-plugins-base/gst-libs/gst/audio/gstaudiofilter.c            \
     gst-plugins-base/gst-libs/gst/audio/gstaudiosink.c              \
     gst-plugins-base/gst-libs/gst/audio/gstaudiosrc.c               \
     gst-plugins-base/gst-libs/gst/audio/gstbaseaudiosink.c          \
     gst-plugins-base/gst-libs/gst/audio/gstbaseaudiosrc.c           \
     gst-plugins-base/gst-libs/gst/audio/gstringbuffer.c             \
     gst-plugins-base/gst-libs/gst/audio/mixerutils.c                \
     gst-plugins-base/gst-libs/gst/audio/multichannel.c              \
     gst-plugins-base/gst-libs/gst/interfaces/interfaces-enumtypes.c \
     gst-plugins-base/gst-libs/gst/interfaces/interfaces-marshal.c   \
     gst-plugins-base/gst-libs/gst/interfaces/mixer.c                \
     gst-plugins-base/gst-libs/gst/interfaces/mixeroptions.c         \
     gst-plugins-base/gst-libs/gst/interfaces/mixertrack.c           \
     gst-plugins-base/gst-libs/gst/interfaces/navigation.c           \
     gst-plugins-base/gst-libs/gst/interfaces/propertyprobe.c        \
     gst-plugins-base/gst-libs/gst/interfaces/videoorientation.c     \
     gst-plugins-base/gst-libs/gst/interfaces/xoverlay.c             \
     gst-plugins-base/gst-libs/gst/video/gstvideofilter.c            \
     gst-plugins-base/gst-libs/gst/video/gstvideosink.c              \
     gst-plugins-base/gst-libs/gst/video/video-enumtypes.c           \
     gst-plugins-base/gst-libs/gst/video/video.c                     \
     gst-plugins-base/gst-libs/gst/pbutils/descriptions.c            \
     gst-plugins-base/gst-libs/gst/pbutils/missing-plugins.c         \
     gst-plugins-base/gst-libs/gst/pbutils/pbutils-enumtypes.c       \
     gst-plugins-base/gst-libs/gst/pbutils/pbutils.c                 \
     gst-plugins-base/gst-libs/gst/tag/gstid3tag.c                   \
     gst-plugins-base/gst-libs/gst/tag/gsttagdemux.c                 \
     gst-plugins-base/gst-libs/gst/tag/gstvorbistag.c                \
     gst-plugins-base/gst-libs/gst/tag/tags.c                        \
     gst-plugins-base/gst-libs/gst/tag/lang.c                        \
     gst-plugins-base/gst-libs/gst/riff/riff-media.c                 \
     gst-plugins-base/gst-libs/gst/riff/riff-read.c                  \
     gst-plugins-base/gst-libs/gst/riff/riff.c                       \
     gst-plugins-base/gst-libs/gst/app/gstappbuffer.c                \
     gst-plugins-base/gst-libs/gst/app/gstappsink.c                  \
     projects/plugins/gstplugins-lite.c                          \
     gstreamer/plugins/elements/gstcapsfilter.c                  \
     gstreamer/plugins/elements/gstelements.c                    \
     gstreamer/plugins/elements/gstfilesink.c                    \
     gstreamer/plugins/elements/gstfilesrc.c                     \
     gstreamer/plugins/elements/gstidentity.c                    \
     gstreamer/plugins/elements/gstqueue.c                       \
     gstreamer/plugins/elements/gsttypefindelement.c             \
     gst-plugins-base/gst-libs/gst/fft/gstfft.c                  \
     gst-plugins-base/gst-libs/gst/fft/gstfftf32.c               \
     gst-plugins-base/gst-libs/gst/fft/gstfftf64.c               \
     gst-plugins-base/gst-libs/gst/fft/gstffts16.c               \
     gst-plugins-base/gst-libs/gst/fft/gstffts32.c               \
     gst-plugins-base/gst-libs/gst/fft/kiss_fft_f32.c            \
     gst-plugins-base/gst-libs/gst/fft/kiss_fft_f64.c            \
     gst-plugins-base/gst-libs/gst/fft/kiss_fft_s16.c            \
     gst-plugins-base/gst-libs/gst/fft/kiss_fft_s32.c            \
     gst-plugins-base/gst-libs/gst/fft/kiss_fftr_f32.c           \
     gst-plugins-base/gst-libs/gst/fft/kiss_fftr_f64.c           \
     gst-plugins-base/gst-libs/gst/fft/kiss_fftr_s16.c           \
     gst-plugins-base/gst-libs/gst/fft/kiss_fftr_s32.c           \
     gst-plugins-base/gst-libs/gst/pbutils/codec-utils.c         \

## openjfx 8u20-b26

=== debian/changelog ===
openjfx (8u20-b26-3) unstable; urgency=medium

  * Install the jar files in an arch independent directory (Closes: #764241)
  * Fixed a build failure on slow machines by increasing the timeout
    for processing the ANTLR grammar.
  * Disabled the architecture verification in build.gradle to attempt building
    on more archs than i386 and amd64 (Closes: #765397)
  * Disabled assembler in WebKit on unsupported architectures
  * Enable SSE2 on i386 and amd64 only to avoid a build failure on other CPUs

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 19 Sep 2014 13:47:51 +0200

openjfx (8u20-b26-2) unstable; urgency=medium

  * Moved the Gradle user home directory into the local directory to avoid
    a build failure with buildd.

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 18 Sep 2014 23:36:10 +0200

openjfx (8u20-b26-1) unstable; urgency=medium

  * Upload to unstable
  * New upstream release
    - Refreshed the patches
  * Disabled the Gradle version check to build with Gradle 1.5
  * debian/rules: Updated the path to the SDK generated during the build
  * Removed the timestamp in the gzipped man pages
  * Standards-Version updated to 3.9.6 (no changes)
  * debian/copyright:
    - Removed the spaces in the licenses short names
    - Updated the license information for the examples under apps/experiments/

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 18 Sep 2014 17:05:55 +0200

openjfx (8u5-b13-1) experimental; urgency=low

  * Initial release (Closes: #748413)

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 25 Jun 2014 15:05:20 +0200

=== debian/control ===
Source: openjfx
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Emmanuel Bourg <ebourg@apache.org>
Build-Depends: antlr3,
               bison,
               debhelper (>= 9),
               flex,
               gperf,
               gradle,
               junit4,
               ksh,
               libasound2-dev,
               libavcodec-dev,
               libavformat-dev,
               libgl1-mesa-dev,
               libgstreamer-plugins-base0.10-dev,
               libgstreamer0.10-dev,
               libgtk2.0-dev,
               libjpeg-dev,
               libpng-dev,
               libsqlite3-dev,
               libswt-gtk-3-java,
               libudev-dev,
               libwerken.xpath-java,
               libx11-dev,
               libxml2-dev,
               libxslt1-dev,
               libxt-dev,
               libxtst-dev,
               libxxf86vm-dev,
               openjdk-8-jdk,
               pkg-config,
               qt4-default,
               qt4-qmake,
               x11proto-core-dev,
               x11proto-xf86vidmode-dev
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/pkg-java/openjfx.git
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-java/openjfx.git
Homepage: http://openjdk.java.net/projects/openjfx/

Package: openjfx
Architecture: any
Depends: libopenjfx-java, openjdk-8-jre, ${misc:Depends}
Description: JavaFX/OpenJFX 8 - Rich client application platform for Java
 JavaFX/OpenJFX is a set of graphics and media APIs that enables Java developers
 to design, create, test, debug, and deploy rich client applications that
 operate consistently across diverse platforms.

Package: libopenjfx-java
Architecture: all
Depends: libopenjfx-jni, ${misc:Depends}
Description: JavaFX/OpenJFX 8 - Rich client application platform for Java (Java libraries)
 JavaFX/OpenJFX is a set of graphics and media APIs that enables Java developers
 to design, create, test, debug, and deploy rich client applications that
 operate consistently across diverse platforms.
 .
 This package contains the Java libraries.

Package: libopenjfx-jni
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: JavaFX/OpenJFX 8 - Rich client application platform for Java (native libraries)
 JavaFX/OpenJFX is a set of graphics and media APIs that enables Java developers
 to design, create, test, debug, and deploy rich client applications that
 operate consistently across diverse platforms.
 .
 This package contains the native libraries for libopenjfx-java.

Package: libopenjfx-java-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: libopenjfx-java
Description: JavaFX/OpenJFX 8 - Rich client application platform for Java (Javadoc)
 JavaFX/OpenJFX is a set of graphics and media APIs that enables Java developers
 to design, create, test, debug, and deploy rich client applications that
 operate consistently across diverse platforms.
 .
 This package contains the API documentation for libopenjfx-java.

Package: openjfx-source
Architecture: all
Depends: ${misc:Depends}
Description: JavaFX/OpenJFX 8 - Rich client application platform for Java (sources)
 JavaFX/OpenJFX is a set of graphics and media APIs that enables Java developers
 to design, create, test, debug, and deploy rich client applications that
 operate consistently across diverse platforms.
 .
 This package contains the source archive to be used with an IDE.
